Index: trunk/source/processes/hadronic/models/cascade/cascade/src/G4PionSampler.cc
===================================================================
--- trunk/source/processes/hadronic/models/cascade/cascade/src/G4PionSampler.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/cascade/cascade/src/G4PionSampler.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4PionSampler.cc,v 1.4 2009/10/09 01:03:45 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4PionSampler.cc,v 1.5 2009/12/02 17:35:10 dennis Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
@@ -60,5 +60,5 @@
   }
 
-  G4int i, k, m;
+  G4int j, k, m;
   G4int start, stop;
 
@@ -68,5 +68,5 @@
     for (k = 0; k < 30; k++) {
       t33_dSigma_dMult[m][k] = 0.0;
-      for (i = start; i < stop; i++) t33_dSigma_dMult[m][k] += pipPCrossSections[i][k];
+      for (j = start; j < stop; j++) t33_dSigma_dMult[m][k] += pipPCrossSections[j][k];
     }
 
@@ -75,5 +75,5 @@
     for (k = 0; k < 30; k++) {
       t31_dSigma_dMult[m][k] = 0.0;
-      for (i = start; i < stop; i++) t31_dSigma_dMult[m][k] += pimPCrossSections[i][k];
+      for (j = start; j < stop; j++) t31_dSigma_dMult[m][k] += pimPCrossSections[j][k];
     }
 
@@ -82,5 +82,5 @@
     for (k = 0; k < 30; k++) {
       t11_dSigma_dMult[m][k] = 0.0;
-      for (i = start; i < stop; i++) t11_dSigma_dMult[m][k] += pizPCrossSections[i][k];
+      for (j = start; j < stop; j++) t11_dSigma_dMult[m][k] += pizPCrossSections[j][k];
     }
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/History
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/History	(revision 1228)
@@ -18,4 +18,21 @@
 
 <<<<<<< History
+
+3-Dec-2009 M.Kosov                            (hadr-chips-V09-02-31)
+-----------------------------------------------------------------------
+Mutual tag: further CHIPS acceleration (10% slower than QGSP_BERT)
+
+3-Dec-2009 M.Kosov                            (hadr-chips-V09-02-30)
+-----------------------------------------------------------------------
+Mutual tag: Tuning of parameters to accelerate CHIPS
+
+1-Dec-2009 M.Kosov                            (hadr-chips-V09-02-29)
+-----------------------------------------------------------------------
+Mutual tag: Compilation warning fix in G4QFragmentation and G4QIonIonCollision
+
+30-Nov-2009 M.Kosov                            (hadr-chips-V09-02-28)
+-----------------------------------------------------------------------
+Mutual tag: Bug fix for the final double delete and slight change of
+parameters based on the Sunanda tests
 
 20-Nov-2009 M.Kosov                            (hadr-chips-V09-02-27)
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/History
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/History	(revision 1228)
@@ -16,4 +16,8 @@
      * Please list in reverse chronological order (last date on top) *
      -----------------------------------------------------------------
+
+14-Dec-2009 M.Kosov                           (hadr-chips-body-V09-02-16) 
+-----------------------------------------------------------------------
+Mutual tag: Bug fix in G4QNucleus (crash in QGSC for 400 GeV p)
 
 17-Nov-2009 M.Kosov                            (hadr-chips-V09-02-24)
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Chips.hh,v 1.19 2006/06/29 20:05:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4Chips ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QBesIKJY.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QBesIKJY ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCHIPSWorld.hh,v 1.26 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCHIPSWorld ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCandidate.hh,v 1.29 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidate ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCandidateVector.hh,v 1.22 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QChipolino.hh,v 1.24 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QChipolino ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QContent.hh,v 1.31 2009/07/24 16:37:03 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QContent ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChan.hh,v 1.24 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QDecayChan ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChanVector.hh,v 1.20 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QEnvironment.hh,v 1.36 2009/11/16 18:15:01 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QEnvironment ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QException.hh,v 1.11 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QException ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadron.hh,v 1.46 2009/09/08 14:04:14 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QHadron ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadronVector.hh,v 1.23 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -43,5 +43,5 @@
 //
 // $Id: G4QHadronVector.hh,v 1.23 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QInteraction.hh,v 1.7 2009/08/28 14:49:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QInteractionVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -38,5 +38,5 @@
 //
 // $Id: G4QInteractionVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QIsotope.hh,v 1.6 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QNucleus.hh,v 1.45 2009/08/31 11:21:48 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4QNucleus.hh,v 1.46 2009/12/16 17:51:01 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QNucleus ----------------
@@ -91,6 +91,6 @@
   G4double GetRelativeDensity(const G4ThreeVector& aPosition); // Densyty/rho0
   G4double GetRelWSDensity(const G4double& r)       // Wood-Saxon rho/rho0(r)
-                                        {return 1./(1.+exp((r-radius)/WoodSaxonSurf));}    
-  G4double GetRelOMDensity(const G4double& r2){return exp(-r2/radius);} // OscModelRelDens
+                                        {return 1./(1.+std::exp((r-radius)/WoodSaxonSurf));}    
+  G4double GetRelOMDensity(const G4double& r2){return std::exp(-r2/radius);} // OscModelRelDens
   G4double GetRadius(const G4double maxRelativeDenisty=0.5); // Radius of %ofDensity
   G4double GetOuterRadius();                        // Get radius of the most far nucleon
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPDGCode.hh,v 1.30 2009/11/04 11:01:59 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QPDGCode ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPDGCodeVector.hh,v 1.20 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParentCluster.hh,v 1.24 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QParentCluster ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParentClusterVector.hh,v 1.19 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParticle.hh,v 1.25 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QParticle ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParticleVector.hh,v 1.20 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh	(revision 1228)
@@ -29,5 +29,5 @@
 
 // $Id: G4QParton.hh,v 1.8 2009/07/17 16:54:57 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh	(revision 1228)
@@ -28,5 +28,5 @@
 //
 // $Id: G4QPartonPair.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPartonPairVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPartonVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -40,5 +40,5 @@
 //
 // $Id: G4QPartonVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QProbability.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QProbability.hh	(revision 1228)
@@ -28,5 +28,5 @@
 //
 // $Id: G4QProbability.hh,v 1.4 2009/09/04 16:13:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh	(revision 1228)
@@ -27,5 +27,5 @@
 //
 // $Id: G4QString.hh,v 1.11 2009/08/24 14:41:49 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #ifndef G4QString_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QStringVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QStringVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Quasmon.hh,v 1.46 2009/11/16 18:15:01 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4Quasmon ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasmonVector.hh,v 1.22 2009/11/16 18:15:01 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QuasmonVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QBesIKJY.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QBesIKJY.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QBesIKJY.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QBesIKJY.cc,v 1.4 2009/11/10 17:13:46 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QBesIKJY ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCHIPSWorld.cc,v 1.33 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCHIPSWorld ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCandidate.cc,v 1.35 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCandidate ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QChipolino.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QChipolino.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QChipolino.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QChipolino.cc,v 1.36 2009/08/10 16:36:53 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QChipolino ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QContent.cc,v 1.49 2009/08/07 14:20:57 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QContent ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChan.cc,v 1.28 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QDecayChan ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1228)
@@ -28,6 +28,6 @@
 //
 //
-// $Id: G4QEnvironment.cc,v 1.157 2009/11/16 18:15:01 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4QEnvironment.cc,v 1.160 2009/12/03 18:09:07 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QEnvironment ----------------
@@ -1737,5 +1737,6 @@
     //G4int   c3Max = 9;                    // Max#of "no hadrons" steps (reduced below?)
     //G4int   c3Max = 3;
-    G4int   c3Max = 1;
+    //G4int   c3Max = 1;
+    G4int   c3Max = 0;
     //G4int   premC = 27;
     //G4int   premC = 3;
@@ -1745,10 +1746,11 @@
     //if(envA>1&&envA<19) premC = 36/envA;
     //if(envA>1&&envA<25) premC = 48/envA;
-    if(envA>1&&envA<41) premC = 80/envA;
+    //if(envA>1&&envA<41) premC = 80/envA;
     G4int  sumstat= 2;                     // Sum of statuses of all Quasmons
     G4bool force  = false;                 // Prototype of the Force Major Flag
     G4int cbR     =0;                      // Counter of the "Stoped by Coulomb Barrier"
     //
-    G4int cbRM    =1;                      // MaxCounter of the "StopedByCoulombBarrier"
+    G4int cbRM    =0;                      //** MaxCounter of "StopedByCoulombBarrier" **
+    //G4int cbRM    =1;                      // MaxCounter of the "StopedByCoulombBarrier"
     //G4int cbRM    =3;                      // MaxCounter of the "StopedByCoulombBarrier"
     //G4int cbRM    =9;                      // MaxCounter of the "Stoped byCoulombBarrier"
@@ -1762,5 +1764,8 @@
     G4bool first=true;                     // Flag of the first interaction (only NucMedia)
     G4int cAN=0;                           // Counter of the nucleon absorptions
-    G4int mcAN=3;                          // Max for the counter of nucleon absorptions
+    //G4int mcAN=27;                         // Max for the counter of nucleon absorptions
+    G4int mcAN=9;                          // Max for the counter of nucleon absorptions
+    //G4int mcAN=3;                          // Max for the counter of nucleon absorptions
+    //G4int mcAN=1;                          // Max for the counter of nucleon absorptions
     while (sumstat||totC<totCM)            // ===***=== The MAIN "FOREVER" LOOP ===***===
     {
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QException.cc,v 1.10 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QException ----------------
